<!doctype html>
<html>
<head>
    <title>VisiTor - or: a script to tell you how many of your users are probably Tor users | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="VisiTor - or: a script to tell you how many of your users are probably Tor users | Tor Project">
    <meta property="og:description" content="We have heard from web server operators who are wondering how many of their visitors are using...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/visitor-or-script-tell-you-how-many-your-users-are-probably-tor-users/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        VisiTor - or: a script to tell you how many of your users are probably Tor users
      </h1>
    <p class="meta">by karsten | October 4, 2010</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>We have heard from web server operators who are wondering how many of<br />
their visitors are using Tor to do so.</p>

<p>We can now answer this question. We have an exit list archive back to<br />
February 2010 and a tool to compare an Apache HTTP server log to these<br />
lists. We can further guess how many of the requests come from Torbutton<br />
users by looking at the user-agent string.</p>

<p>There's a lot of sensitive data involved here, which is why we give out<br />
the archived exit lists and our tool so that web server operators can<br />
run the comparison themselves.</p>

<p>You'll find the exit list archive and the VisiTor tool here:</p>

<ul>
<li><a href="https://metrics.torproject.org/data.html#exitlist" rel="nofollow">https://metrics.torproject.org/data.html#exitlist</a></li>
<li><a href="https://metrics.torproject.org/tools.html#visitor" rel="nofollow">https://metrics.torproject.org/tools.html#visitor</a></li>
</ul>

<p>If you are running a web server and want to help us make the tool<br />
better, please download the sources, review the 350 lines of finest<br />
Java code, run the tool on your machine, and let us know how that works!</p>

<p>(There will be a Python version once we're happy with the Java version.<br />
Want to help writing (and maintaining) a Python version?)</p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/metrics">
          metrics
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-8403"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-8403" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 13, 2010</p>
    </div>
    <a href="#comment-8403">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-8403" class="permalink" rel="bookmark">how can i use flash</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>how can i use flash player?can i install it?</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
